View Issue Details

IDProjectCategoryView StatusLast Update
0003515SymmetricDSBugpublic2018-05-08 16:09
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.6 
Target Version3.9.7Fixed in Version3.9.7 
Summary0003515: Null pointer in AddForeignKeyChange
DescriptionA null pointer will be thrown if the foreign key table comes back null. In order to support cross catalog foreign keys the catalog and schema are now passed in the xml. However if the foreign table is not found these getters fail.

Relationships

has duplicate 0003523 resolvedjosh-a-hicks NPE AddForeignKeyChange 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 c0984e74

2018-04-12 10:56:55

josh-a-hicks

Details Diff
0003515: Null pointer in AddForeignKeyChange
0003515
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/AddForeignKeyChange.java Diff File

Issue History

Date Modified Username Field Change
2018-04-12 10:56 josh-a-hicks New Issue
2018-04-12 10:56 josh-a-hicks Status new => assigned
2018-04-12 10:56 josh-a-hicks Assigned To => josh-a-hicks
2018-04-18 13:00 josh-a-hicks Changeset attached => SymmetricDS 3.9 c0984e74
2018-04-20 09:51 josh-a-hicks Status assigned => resolved
2018-04-20 09:51 josh-a-hicks Resolution open => fixed
2018-04-20 09:51 josh-a-hicks Fixed in Version => 3.9.7
2018-04-20 09:53 josh-a-hicks Relationship added has duplicate 0003523
2018-05-08 16:09 mmichalek Status resolved => closed